From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-base/gnome-settings-daemon/files/, gnome-base/gnome-settings-daemon/
Date: Sun, 9 Jul 2017 00:36:35 +0000 (UTC) [thread overview]
Message-ID: <1499559899.77cd248086005aec8854caf0b2eb5574ffe08cae.leio@gentoo> (raw)
commit: 77cd248086005aec8854caf0b2eb5574ffe08cae
Author: Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 9 00:24:30 2017 +0000
Commit: Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sun Jul 9 00:24:59 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77cd2480
gnome-base/gnome-settings-daemon: fix optional wacom plugin building
Gentoo-bug: 620486
Thanks-to: Yuh-Horng Chen
Package-Manager: Portage-2.3.5, Repoman-2.3.2
.../gnome-settings-daemon-3.22.0-optional.patch | 2 +-
.../gnome-settings-daemon-3.22.2-r1.ebuild | 149 +++++++++++++++++++++
2 files changed, 150 insertions(+), 1 deletion(-)
diff --git a/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.22.0-optional.patch b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.22.0-optional.patch
index 3188337445f..9b5369bb346 100644
--- a/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.22.0-optional.patch
+++ b/gnome-base/gnome-settings-daemon/files/gnome-settings-daemon-3.22.0-optional.patch
@@ -51,7 +51,7 @@ index 6d9408a..628af0e 100644
+ [turn off wacom plugin]),
+ [],
+ [enable_wacom=no]) dnl Default value
-+ AS_IF([test "$enable_wacom" = "xyes"],
++ AS_IF([test "x$enable_wacom" = "xyes"],
+ [
+ PKG_CHECK_MODULES(LIBWACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION])
+ PKG_CHECK_MODULES(WACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION x11 xi xtst gudev-1.0 gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION xorg-wacom librsvg-2.0 >= $LIBRSVG_REQUIRED_VERSION libnotify >= $LIBNOTIFY_REQUIRED_VERSION pango >= $PANGO_REQUIRED_VERSION])
diff --git a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.22.2-r1.ebuild b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.22.2-r1.ebuild
new file mode 100644
index 00000000000..ae86f10d52e
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.22.2-r1.ebuild
@@ -0,0 +1,149 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_EAUTORECONF="yes"
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit gnome2 python-any-r1 systemd udev virtualx
+
+DESCRIPTION="Gnome Settings Daemon"
+HOMEPAGE="https://git.gnome.org/browse/gnome-settings-daemon"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="+colord +cups debug input_devices_wacom -openrc-force networkmanager policykit smartcard test +udev wayland"
+REQUIRED_USE="
+ input_devices_wacom? ( udev )
+ smartcard? ( udev )
+"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x86-solaris"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.37.7:2[dbus]
+ >=x11-libs/gtk+-3.15.3:3
+ >=gnome-base/gnome-desktop-3.11.1:3=
+ >=gnome-base/gsettings-desktop-schemas-3.20
+ >=gnome-base/librsvg-2.36.2:2
+ media-fonts/cantarell
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/libcanberra[gtk3]
+ >=media-sound/pulseaudio-2
+ >=sys-power/upower-0.99:=
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ >=x11-libs/libnotify-0.7.3:=
+ x11-libs/libX11
+ x11-libs/libxkbfile
+ x11-libs/libXi
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXtst
+ x11-libs/libXxf86misc
+ x11-misc/xkeyboard-config
+
+ >=app-misc/geoclue-2.3.1:2.0
+ >=dev-libs/libgweather-3.9.5:2=
+ >=sci-geosciences/geocode-glib-3.10
+ >=sys-auth/polkit-0.103
+
+ colord? (
+ >=media-libs/lcms-2.2:2
+ >=x11-misc/colord-1.0.2:= )
+ cups? ( >=net-print/cups-1.4[dbus] )
+ input_devices_wacom? (
+ >=dev-libs/libwacom-0.7
+ >=x11-libs/pango-1.20
+ x11-drivers/xf86-input-wacom
+ virtual/libgudev:= )
+ networkmanager? ( >=net-misc/networkmanager-1.0 )
+ smartcard? ( >=dev-libs/nss-3.11.2 )
+ udev? ( virtual/libgudev:= )
+ wayland? ( dev-libs/wayland )
+"
+# Themes needed by g-s-d, gnome-shell, gtk+:3 apps to work properly
+# <gnome-color-manager-3.1.1 has file collisions with g-s-d-3.1.x
+# <gnome-power-manager-3.1.3 has file collisions with g-s-d-3.1.x
+# systemd needed for power and session management, bug #464944
+RDEPEND="${COMMON_DEPEND}
+ gnome-base/dconf
+ !openrc-force? ( sys-apps/systemd )
+ !<gnome-base/gnome-control-center-2.22
+ !<gnome-extra/gnome-color-manager-3.1.1
+ !<gnome-extra/gnome-power-manager-3.1.3
+"
+# xproto-7.0.15 needed for power plugin
+# FIXME: tests require dbus-mock
+DEPEND="${COMMON_DEPEND}
+ cups? ( sys-apps/sed )
+ test? (
+ ${PYTHON_DEPS}
+ $(python_gen_any_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
+ gnome-base/gnome-session )
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxml2:2
+ dev-libs/libxslt
+ sys-devel/gettext
+ >=dev-util/intltool-0.40
+ virtual/pkgconfig
+ x11-proto/inputproto
+ x11-proto/xf86miscproto
+ >=x11-proto/xproto-7.0.15
+"
+
+PATCHES=(
+ # Make colord and wacom optional; requires eautoreconf
+ "${FILESDIR}"/${PN}-3.22.0-optional.patch
+ # Allow specifying udevrulesdir via configure, bug 509484; requires eautoreconf
+ "${FILESDIR}"/${PV}-udevrulesdir-configure.patch
+)
+
+python_check_deps() {
+ if use test; then
+ has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]"
+ fi
+}
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ --enable-man \
+ --with-udevrulesdir="$(get_udevdir)"/rules.d \
+ $(use_enable colord color) \
+ $(use_enable cups) \
+ $(use_enable debug) \
+ $(use_enable debug more-warnings) \
+ $(use_enable networkmanager network-manager) \
+ $(use_enable smartcard smartcard-support) \
+ $(use_enable udev gudev) \
+ $(use_enable input_devices_wacom wacom) \
+ $(use_enable wayland)
+}
+
+src_test() {
+ virtx emake check
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! systemd_is_booted; then
+ ewarn "${PN} needs Systemd to be *running* for working"
+ ewarn "properly. Please follow the this guide to migrate:"
+ ewarn "https://wiki.gentoo.org/wiki/Systemd"
+ fi
+
+ if use openrc-force; then
+ ewarn "You are enabling 'openrc-force' USE flag to skip systemd requirement,"
+ ewarn "this can lead to unexpected problems and is not supported neither by"
+ ewarn "upstream neither by Gnome Gentoo maintainers. If you suffer any problem,"
+ ewarn "you will need to disable this USE flag system wide and retest before"
+ ewarn "opening any bug report."
+ fi
+}
next reply other threads:[~2017-07-09 0:36 UTC|newest]
Thread overview: 13+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-07-09 0:36 Mart Raudsepp [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-03-23 6:14 [gentoo-commits] repo/gentoo:master commit in: gnome-base/gnome-settings-daemon/files/, gnome-base/gnome-settings-daemon/ Matt Turner
2021-11-12 19:44 Mike Gilbert
2020-02-24 21:05 Mart Raudsepp
2019-03-30 22:21 Mart Raudsepp
2018-04-29 0:08 Mart Raudsepp
2018-02-03 20:56 Mart Raudsepp
2017-09-25 16:56 Mart Raudsepp
2017-08-18 7:50 Gilles Dartiguelongue
2017-03-21 0:23 Mart Raudsepp
2017-03-08 12:11 Mart Raudsepp
2016-11-03 8:19 Gilles Dartiguelongue
2015-08-23 16:01 Gilles Dartiguelongue
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1499559899.77cd248086005aec8854caf0b2eb5574ffe08cae.leio@gentoo \
--to=leio@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox